package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"uuid", "permissions", "description", "shared", "owner", "group", "name", "folderversionOrCONFIGOrSCHEDULEROrTASKOrSESSIONOrWORKLETOrWORKFLOWOrSOURCEOrTARGETOrTRANSFORMATIONOrMAPPLETOrMAPPINGOrSHORTCUTOrEXPRMACRO"}
)
@XmlRootElement(
   name = "FOLDER"
)
public class FOLDER {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlAttribute(
      name = "SHARED"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String shared;
   @XmlAttribute(
      name = "OWNER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String owner;
   @XmlAttribute(
      name = "GROUP"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String group;
   @XmlAttribute(
      name = "PERMISSIONS"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String permissions;
   @XmlAttribute(
      name = "UUID"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String uuid;
   @XmlElements({@XmlElement(
   name = "FOLDERVERSION",
   type = FOLDERVERSION.class
), @XmlElement(
   name = "CONFIG",
   type = CONFIG.class
), @XmlElement(
   name = "SCHEDULER",
   type = SCHEDULER.class
), @XmlElement(
   name = "TASK",
   type = TASK.class
), @XmlElement(
   name = "SESSION",
   type = SESSION.class
), @XmlElement(
   name = "WORKLET",
   type = WORKLET.class
), @XmlElement(
   name = "WORKFLOW",
   type = WORKFLOW.class
), @XmlElement(
   name = "SOURCE",
   type = SOURCE.class
), @XmlElement(
   name = "TARGET",
   type = TARGET.class
), @XmlElement(
   name = "TRANSFORMATION",
   type = TRANSFORMATION.class
), @XmlElement(
   name = "MAPPLET",
   type = MAPPLET.class
), @XmlElement(
   name = "MAPPING",
   type = MAPPING.class
), @XmlElement(
   name = "SHORTCUT",
   type = SHORTCUT.class
), @XmlElement(
   name = "EXPRMACRO",
   type = EXPRMACRO.class
)})
   protected List<Object> folderversionOrCONFIGOrSCHEDULEROrTASKOrSESSIONOrWORKLETOrWORKFLOWOrSOURCEOrTARGETOrTRANSFORMATIONOrMAPPLETOrMAPPINGOrSHORTCUTOrEXPRMACRO;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public String getSHARED() {
      return this.shared;
   }

   public void setSHARED(String value) {
      this.shared = value;
   }

   public String getOWNER() {
      return this.owner;
   }

   public void setOWNER(String value) {
      this.owner = value;
   }

   public String getGROUP() {
      return this.group;
   }

   public void setGROUP(String value) {
      this.group = value;
   }

   public String getPERMISSIONS() {
      return this.permissions;
   }

   public void setPERMISSIONS(String value) {
      this.permissions = value;
   }

   public String getUUID() {
      return this.uuid;
   }

   public void setUUID(String value) {
      this.uuid = value;
   }

   public List<Object> getFOLDERVERSIONOrCONFIGOrSCHEDULEROrTASKOrSESSIONOrWORKLETOrWORKFLOWOrSOURCEOrTARGETOrTRANSFORMATIONOrMAPPLETOrMAPPINGOrSHORTCUTOrEXPRMACRO() {
      if (this.folderversionOrCONFIGOrSCHEDULEROrTASKOrSESSIONOrWORKLETOrWORKFLOWOrSOURCEOrTARGETOrTRANSFORMATIONOrMAPPLETOrMAPPINGOrSHORTCUTOrEXPRMACRO == null) {
         this.folderversionOrCONFIGOrSCHEDULEROrTASKOrSESSIONOrWORKLETOrWORKFLOWOrSOURCEOrTARGETOrTRANSFORMATIONOrMAPPLETOrMAPPINGOrSHORTCUTOrEXPRMACRO = new ArrayList();
      }

      return this.folderversionOrCONFIGOrSCHEDULEROrTASKOrSESSIONOrWORKLETOrWORKFLOWOrSOURCEOrTARGETOrTRANSFORMATIONOrMAPPLETOrMAPPINGOrSHORTCUTOrEXPRMACRO;
   }
}
